com.io7m.jtensors

## Interface VectorWritable2FType

- All Known Subinterfaces:
    PVector2FType<T>, PVector3FType<T>, PVector4FType<T>, PVectorByteBuffered2FType<T>, PVectorByteBuffered3FType<T>, PVectorByteBuffered4FType<T>, PVectorWritable2FType<T>, PVectorWritable3FType<T>, PVectorWritable4FType<T>, Quaternion4FType, QuaternionByteBuffered4FType, QuaternionWritable4FType, Vector2FType, Vector3FType, Vector4FType, VectorByteBuffered2FType, VectorByteBuffered3FType, VectorByteBuffered4FType, VectorWritable3FType, VectorWritable4FType
  All Known Implementing Classes:
    PVectorByteBufferedM2F, PVectorByteBufferedM3F, PVectorByteBufferedM4F, PVectorM2F, PVectorM3F, PVectorM4F, QuaternionByteBufferedM4F, QuaternionM4F, VectorByteBufferedM2F, VectorByteBufferedM3F, VectorByteBufferedM4F, VectorM2F, VectorM3F, VectorM4F

      public interface VectorWritable2FType

  'Write' interface to two-dimensional vectors with `float` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom2F(VectorReadable2FType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set2F(float x, float y)` Set the current `x` and `y` values of the current vector.
    `void` | `setXF(float x)` Set the current `x` value of the current vector.
    `void` | `setYF(float y)` Set the current `y` value of the current vector.

- - ### Method Detail

    - #### copyFrom2F

          void copyFrom2F(VectorReadable2FType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set2F

          void set2F(float x,
                     float y)

      Set the current `x` and `y` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.

    - #### setXF

          void setXF(float x)

      Set the current `x` value of the current vector.
      Parameters:
        `x` - The new `x` value.

    - #### setYF

          void setYF(float y)

      Set the current `y` value of the current vector.
      Parameters:
        `y` - The new `y` value.

Copyright © 2015 <code@io7m.com> http://io7m.com